//Mandelbrot exploration, simpel version 
//(c) Loe Feijs and TU/e, 2016, for DGM211, Golden ratio
//F is the iterated function, z0 = c, z1 = z0*z0 + c; z2 =z1*z1 + c etc.

Complex  F(Complex c, int n){
         if (n == 0)
             return new Complex(0,0);
         else { Complex z = F(c,n - 1);
                return z.mul(z).add(c);
         }
}   

void setup(){
     size(400,400);
     float scale = width / 2;
     for (float x = 0; x < width; x++) 
          for (float y = 0; y < height; y++){
               float zx = 2*x / width  - 1.5;
               float zy = 2*y / height - 1.0;
               Complex zn = F(new Complex(zx,zy),100);
               stroke(zn.modulus() < 2? 255 : 0,0,0);
               point(x,y);
     }
}



